<?xml version="1.0" encoding="windows-1252" ?>
<!DOCTYPE ViewObject SYSTEM "jbo_03_01.dtd">
<!---->
<ViewObject
  xmlns="http://xmlns.oracle.com/bc4j"
  Name="DEPTNAMERO"
  Version="11.1.1.66.73"
  InheritPersonalization="merge"
  BindingStyle="OracleName"
  CustomQuery="true"
  PageIterMode="Full"
  UseGlueCode="false">
  <DesignTime>
    <Attr Name="_isExpertMode" Value="true"/>
  </DesignTime>
  <Properties>
    <SchemaBasedProperties>
      <LABEL
        ResId="model.DEPTNAMERO_LABEL"/>
    </SchemaBasedProperties>
  </Properties>
  <SQLQuery>
    <![CDATA[select dname from dept where dname is not null]]>
  </SQLQuery>
  <ViewAttribute
    Name="Dname"
    IsUpdateable="false"
    IsPersistent="false"
    PrecisionRule="true"
    Precision="255"
    Type="java.lang.String"
    ColumnType="VARCHAR2"
    AliasName="DNAME"
    Expression="DNAME"
    SQLType="VARCHAR">
    <DesignTime>
      <Attr Name="_DisplaySize" Value="40"/>
    </DesignTime>
  </ViewAttribute>
  <ResourceBundle>
    <PropertiesBundle
      PropertiesFile="model.ModelBundle"/>
  </ResourceBundle>
</ViewObject>
